Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Interface WSRP_v1_Markup_PortType

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  WSRPProducer

All Known Implementing Classes:
  MarkupEndpoint, WSRPProducerImpl

    public interface WSRP_v1_Markup_PortType

extends java.rmi.Remote

Method Summary
`MarkupResponse` | `getMarkup(GetMarkup getMarkup)`
`ReturnAny` | `initCookie(InitCookie initCookie)`
`BlockingInteractionResponse` | `performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)`
`ReturnAny` | `releaseSessions(ReleaseSessions releaseSessions)`

Method Detail

### getMarkup

    MarkupResponse getMarkup(GetMarkup getMarkup)
                             throws UnsupportedWindowStateFault,
                                    InvalidCookieFault,
                                    InvalidSessionFault,
                                    AccessDeniedFault,
                                    InconsistentParametersFault,
                                    InvalidHandleFault,
                                    UnsupportedLocaleFault,
                                    UnsupportedModeFault,
                                    OperationFailedFault,
                                    MissingParametersFault,
                                    InvalidUserCategoryFault,
                                    InvalidRegistrationFault,
                                    UnsupportedMimeTypeFault,
                                    java.rmi.RemoteException

  Throws:
    `UnsupportedWindowStateFault`
    `InvalidCookieFault`
    `InvalidSessionFault`
    `AccessDeniedFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `UnsupportedLocaleFault`
    `UnsupportedModeFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `UnsupportedMimeTypeFault`
    `java.rmi.RemoteException`

### performBlockingInteraction

    BlockingInteractionResponse performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)
                                                           throws InvalidSessionFault,
                                                                  UnsupportedModeFault,
                                                                  UnsupportedMimeTypeFault,
                                                                  OperationFailedFault,
                                                                  UnsupportedWindowStateFault,
                                                                  UnsupportedLocaleFault,
                                                                  AccessDeniedFault,
                                                                  PortletStateChangeRequiredFault,
                                                                  InvalidRegistrationFault,
                                                                  MissingParametersFault,
                                                                  InvalidUserCategoryFault,
                                                                  InconsistentParametersFault,
                                                                  InvalidHandleFault,
                                                                  InvalidCookieFault,
                                                                  java.rmi.RemoteException

  Throws:
    `InvalidSessionFault`
    `UnsupportedModeFault`
    `UnsupportedMimeTypeFault`
    `OperationFailedFault`
    `UnsupportedWindowStateFault`
    `UnsupportedLocaleFault`
    `AccessDeniedFault`
    `PortletStateChangeRequiredFault`
    `InvalidRegistrationFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `InvalidCookieFault`
    `java.rmi.RemoteException`

### releaseSessions

    ReturnAny releaseSessions(ReleaseSessions releaseSessions)
                              throws InvalidRegistrationFault,
                                     OperationFailedFault,
                                     MissingParametersFault,
                                     AccessDeniedFault,
                                     java.rmi.RemoteException

  Throws:
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `AccessDeniedFault`
    `java.rmi.RemoteException`

### initCookie

    ReturnAny initCookie(InitCookie initCookie)
                         throws AccessDeniedFault,
                                OperationFailedFault,
                                InvalidRegistrationFault,
                                java.rmi.RemoteException

  Throws:
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD